# This test drives a servo motor in X45 position (check pins Red, Black, Yellow !!!)
# Only 4 positions are tested

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
l=txt2.getControllerInfoList()
if len(l) < 2:
    print("No available slaves")
    quit()
ts=txt2.getController(l[1])
s1=ts.servo(1)
ts.update_config()

ftlock.notify('R')

print("Remote servo motor test")
s1.pwm_set(0)
time.sleep(1)
s1.pwm_set(128)
time.sleep(1)
s1.pwm_set(256)
time.sleep(1)
s1.pwm_set(384)
time.sleep(1)
s1.pwm_set(512)


