# This test outputs a current state for a switch
# This switch must be connected to I8 - GND
# Output: 1 - pressed, 0 - unpressed
# Use CTRL-C to interrupt this test

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
s8=txt2.switch(8)
txt2.update_config()

ftlock.notify('R')

print("Switch test, try to press")
while 1:
    print(s8.val)
    time.sleep(0.1)


