# This test controls a simple motor connected in M3 position (O5-O6)
# This test rotates motor 1 second in one direction and 1 second in another direction

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
m3=txt2.motor(3)
txt2.update_config()

ftlock.notify('R')

print("Motor test")
m3.stop()

# Use one direction
m3.start_speed(256)
time.sleep(1)
m3.start_speed(0)
time.sleep(1)

# Use another  direction
m3.start_speed(-256)
time.sleep(1)
m3.start_speed(0)


